import { createStyles } from "antd-style";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n    display: flex;\n    flex-direction: column;\n    /* height: 100vh; */\n    .page-content {\n      /* height: 90%; */\n      margin: ",
        "px;\n      overflow: hidden;\n\n      .ant-card-body {\n        position: relative;\n        height: 90vh;\n        overflow: hidden;\n        .ant-formily-layout {\n          height: 100%;\n          .ant-tb-grid {\n            height: 70vh;\n            overflow-x: hidden;\n            overflow-y: scroll;\n            margin-bottom: 200px;\n          }\n        }\n      }\n    }\n  "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
const useStyles = createStyles((param)=>{
    let { css, token } = param;
    return {
        'dynamic-page': css(_templateObject(), token.paddingContentHorizontal)
    };
});
export { useStyles };
